Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.primitive
Class AlgorithmIdentifier

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.primitive.AlgorithmIdentifier

All Implemented Interfaces:
  ASN1Value

public class AlgorithmIdentifier
extends java.lang.Object
implements ASN1Value

Nested Class Summary
`static class` | `AlgorithmIdentifier.Template`

Field Summary
`private OBJECT_IDENTIFIER` | `oid`
`private ASN1Value` | `parameters`
`private SEQUENCE` | `sequence`
`static Tag` | `TAG`
`private static AlgorithmIdentifier.Template` | `templateInstance`

Constructor Summary
`AlgorithmIdentifier(OBJECT_IDENTIFIER oid)` Creates an AlgorithmIdentifier with no parameter.
`AlgorithmIdentifier(OBJECT_IDENTIFIER oid, ASN1Value parameters)` Creates an AlgorithmIdentifier.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`OBJECT_IDENTIFIER` | `getOID()`
`ASN1Value` | `getParameters()` If this instance was constructed, returns the parameter passed in to the constructer.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static AlgorithmIdentifier.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oid

    private OBJECT_IDENTIFIER oid

### parameters

    private ASN1Value parameters

### sequence

    private SEQUENCE sequence

### TAG

    public static final Tag TAG

### templateInstance

    private static final AlgorithmIdentifier.Template templateInstance

Constructor Detail

### AlgorithmIdentifier

    public AlgorithmIdentifier(OBJECT_IDENTIFIER oid)

  Creates an AlgorithmIdentifier with no parameter.

### AlgorithmIdentifier

    public AlgorithmIdentifier(OBJECT_IDENTIFIER oid,
                               ASN1Value parameters)

  Creates an AlgorithmIdentifier.

Parameters:
  `parameters` - The algorithm parameters. A value of `null` will be encoded with an ASN.1 `NULL`.

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### getOID

    public OBJECT_IDENTIFIER getOID()

### getParameters

    public ASN1Value getParameters()

  If this instance was constructed, returns the parameter passed in to the constructer. If this instance was decoded from a template, returns an ANY that was read from the BER stream. In either case, it will return null if no parameters were supplied.

### getTemplate

    public static AlgorithmIdentifier.Template getTemplate()

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD